export declare module Constants {
    class AwesomeIcons {
        static icons: {
            cssClass: string;
            "code": string;
        }[];
    }
    class Ajax {
        static Application_JSON: string;
    }
    module Configurations {
        var OmniaInstanceModeConfigurationKey: string;
    }
    module SP {
        var EditImageRenditionUrlFormat: string;
        var SitePermissionUrlSuffix: string;
        var PageEditModeUrlSuffix: string;
        var ImagePickerUrlFormat: string;
        class Fields {
            static Id: string;
            static Title: string;
            static FileRef: string;
            static PublishingContact: string;
            static ArticleStartDate: string;
            static Modified: string;
            static Version: string;
            static ModifiedBy: string;
        }
        var EnterpriseKeywordFieldId: string;
    }
    module JQuery {
        class DeferredState {
            static Pending: string;
        }
    }
    module LocalStorage {
        var FallbackStorageContent: string;
    }
    class Extensions {
        static BuiltInExtensionPackageId: string;
    }
    class ImageRendition {
        static Landscape: string;
        static Square: string;
        static Portrait: string;
        static LandscapeSmallSize: string;
        static NewLandscape: string;
    }
    class LanguageCode {
        static English: string;
        static Swedish: string;
    }
    class LocalizeGlobalPrefix {
        static constantValue: string;
    }
    class CssClass {
        static HideClass: string;
        static ShowEditIconClass: string;
    }
    class Tinymce {
        private static Options;
        static getConfig: () => Object;
    }
    class Calendar {
        static Options: Object;
    }
    class ImagePicker {
        static AssetUrl: string;
        static RootFolder: string;
    }
    class DateFormat {
        static Format: string;
        static Options: any;
    }
    class SiteTemplate {
        static CustomPropertiesIncludeTemplates: Array<string>;
        static PFPDynamicWelcomePageBaseContentTypeId: string;
    }
    class Url {
        static Separator: string;
        static Version: string;
        static Mode: string;
    }
    var ControlScopes: string[];
    var NavigationSourceRootKey: string;
}
export declare class Events {
    static UnloadPage: string;
    static CoreInitStep1: string;
    static CoreInitStep2: string;
    static NewDataNotification: string;
    static SettingDataNotification: string;
    static NotificationPanelCategorySelected: string;
    static OpenSiteRequestForm: string;
    static OpenSiteRequestFormByTemplate: string;
    static ControlsEditingModeSwitching: string;
    static NeedRestoreFirst: string;
    static UserFullPagePermissionChange: string;
    static UpdatePageView: string;
    static GluePartRemove: string;
    static GetNumberOfGlueControlsWithId: string;
    static OpenTutorialAdminForm: string;
    static TutorialisEnable: string;
    static GetTutorialStatus: string;
    static ForceGlueResourceVersionTopBar: string;
    static GetGlueEditor: string;
    static GluePageContextChange: string;
    static GlueLayoutChange: string;
    static GlueLayoutDestroy: string;
    static GlueBeforeReloadTemplate: string;
    static GluePagePublished: string;
    static GluePageSaved: string;
    static GlueEditChromeActivePaneTab: string;
    static GlueEditChromeShowPaneTab: string;
    static GlueEditChromeHidePaneTab: string;
    static GlueEditChromeShowTabs: string;
    static GlueEditChromeOrderTabs: string;
    static GlueEditChromeSlectedPaneTab: string;
    static GlueEditChromeCollapsePane: string;
    static GlueEditChromeExpandPane: string;
    static LiveReloadPrefixEvent: string;
    static GluePartSettingsChanged: string;
    static GluePageCheckoutPhysicalPage: string;
    static GluePageUndoPhysicalPage: string;
    static OnGlueEditorChanged: string;
    static OnGluePartPaneDetectChanged: string;
    static GluePageNotFound: string;
    static Accessibility: string;
    static CloseMobileMenu: string;
    static TutorialReady: string;
}
export declare module InjectStrings {
    var LocalizePrefix: string;
}
