export declare module Enums {
    class BrowseType {
        static Image: string;
    }
    class FieldTypes {
        static TaxonomyMulti: string;
        static Taxonomy: string;
        static Boolean: string;
        static Text: string;
        static Number: string;
        static User: string;
        static UserMulti: string;
        static DateTime: string;
        static Note: string;
    }
    class PagePropertyInfoKeys {
        static TermSetId: string;
        static AllowMultipleValues: string;
        static CreateValuesInEditForm: string;
        static Open: string;
        static SelectionMode: string;
    }
    class SiteTemplates {
        static TeamSite: string;
        static BlankSite: string;
        static PublishingSite: string;
        static CMSPublishingSite: string;
    }
    enum OmniaInstanceModes {
        Tenant = 0,
        SiteCollection = 1,
    }
    enum FilterOperator {
        Equal = 1,
        NotEqual = 2,
        GreaterThan = 3,
        GreaterThanOrEqual = 4,
        LessThan = 5,
        LessThanOrEqual = 6,
        Contains = 7,
    }
    enum CustomFieldTypes {
        Text = 0,
        Boolean = 1,
        MetaData = 2,
        EnterpriseKeyword = 3,
        PeoplePicker = 4,
        Date = 5,
    }
    enum PeriodType {
        OneWeek = 1,
        TwoWeek = 2,
        Month = 3,
        NoLimit = 4,
    }
    enum QueryFilterType {
        FixedValue = 1,
        UserProperty = 2,
    }
    enum PagingType {
        Classic = 1,
        Scroll = 2,
    }
    enum ColorType {
        None = 0,
        Background = 1,
        TextAndIcon = 2,
    }
    enum DocumentTypes {
        None = 0,
        Folder = 1,
        File = 2,
    }
    enum ApiOperationStatus {
        Success = 0,
        UnAuthorized = 1,
        Exception = 2,
    }
    enum IconType {
        Font = 0,
        Custom = 1,
    }
    enum QueueMessageLogType {
        Info = 0,
        Warning = 1,
        Error = 2,
    }
    enum ControlViewPortType {
        Always = 0,
        MaxWidth = 1,
        MinWidth = 2,
    }
    enum OmniaControlBootstrapType {
        Angular1 = 1,
        Angular2 = 2,
        Angular2Hybrid = 3,
        Manual = 4,
    }
    enum MessageType {
        Error = 0,
        Success = 1,
        Warning = 2,
        Info = 3,
    }
    enum SearchSourceTypeEnum {
        all = 0,
        sites = 1,
        people = 2,
    }
    enum SearchContentTypeEnum {
        Site = 0,
        Web = 1,
        List = 2,
        Document = 3,
        DiscussionNewsFeedItem = 4,
        AssetItem = 5,
        People = 6,
        Others = 7,
    }
    enum PanelNotificationTypes {
        Automatic = 1,
        Custom = 2,
    }
    enum TabDisplayTypes {
        Horizontal = 0,
        Vertical = 1,
    }
    enum PropertyFilterTypeEnum {
        None = 0,
        Dropdown = 1,
        Picker = 2,
    }
    enum TargetingDefinitionFilterType {
        UserProfile = 0,
        GroupMembership = 1,
    }
    enum TargetingDefinitionConditionOperator {
        And = 0,
        Or = 1,
    }
    enum Language {
        English = 1033,
        Swedish = 1053,
        Finnish = 1035,
        Danish = 1030,
    }
    enum GlueZoneResponsiveType {
        Always = 0,
        MaxWidth = 1,
        MinWidth = 2,
    }
    enum GluePaneSize {
        Small = 0,
        Medium = 1,
        Large = 2,
    }
    enum GluePreviewMode {
        Desktop = 0,
        Tablet = 1,
        Mobile = 2,
    }
    enum SiteRequestStatus {
        Pending = 0,
        Approved = 1,
        Rejected = 2,
        Creating = 3,
        Provisioning = 4,
        Completed = 5,
        Error = 6,
    }
    enum SiteRequestType {
        SelfService = 0,
        Approval = 1,
    }
    enum SiteTemplatePermissionLevel {
        SelfService = 0,
        Approval = 1,
    }
    enum MigrateSitesStatus {
        NotRun = 0,
        Running = 1,
    }
    enum SiteTemplateIconType {
        Font = 0,
        Custom = 1,
    }
    enum PrivacyType {
        Private = 0,
        Public = 1,
    }
    enum GlueLayoutDesignerDisplayMode {
        ZoneDesigner = 0,
        StaticGluePartDesigner = 1,
    }
    enum AngularBootstrapMode {
        Aot = 0,
        Jit = 1,
    }
    enum LoadResourceStatus {
        Success = 1,
        Error = 2,
    }
    enum LogTypes {
        Info = 0,
        Warning = 1,
        Error = 2,
    }
    enum WebAssociatedGroupRole {
        None = 0,
        Owner = 1,
        Member = 2,
        Visitor = 3,
    }
}
export declare class PermissionRoles {
    static Everyone: string;
    static OmniaGlobalAdmin: string;
    static OmniaAdmin: string;
}
export declare class PermissonScopesName {
    static Tenant: string;
    static SiteCollection: string;
    static Site: string;
}
export declare enum PermissionScopes {
    Tenant = 0,
    SiteCollection = 1,
    Site = 2,
}
export declare enum GlueEditChromeLocation {
    Left = 0,
    Top = 1,
    Right = 2,
}
export declare enum GlueEditChromeTopbarLocation {
    Left = 0,
    Right = 1,
}
export declare enum GlueLayoutDisplayMode {
    PageDesigner = 0,
    LayoutDesigner = 1,
}
export declare enum ViewedStatisticType {
    None = 0,
    RecentSite = 1,
    PageViewed = 2,
}
export declare enum BundleTargets {
    SharePoint = 0,
    OmniaAdmin = 1,
}
export declare class DialogSize {
    static Large: string;
    static Small: string;
    static Medium: string;
}
export declare class AccessiblityCommand {
    static JumpToNextControl: string;
    static JumpToPreviousControl: string;
    static JumpToNextElement: string;
    static JumpToPreviousElement: string;
}
export declare var NavigationScope: {
    System: string;
    Tenant: string;
    SiteCollection: string;
    Site: string;
};
