import { Security as SecurityModel } from "../../models";
export declare module Security {
    var authorizationRequests: Array<AuthorizationCallback>;
    var authorizedRoles: Array<string>;
    enum PermissionScopes {
        Tenant = 0,
        SiteCollection = 1,
        Site = 2,
    }
    interface AuthorizationCallback {
        requiredRoles: Array<SecurityModel.IPermissionRoleDefinition>;
        callback: (isAuthorized: boolean) => any;
    }
    class PermissionRoles {
        static Everyone: string;
        static OmniaGlobalAdmin: string;
        static OmniaAdmin: string;
    }
    class PermissonScopesName {
        static Tenant: string;
        static SiteCollection: string;
        static Site: string;
    }
    function getRoleClientName(role: string, scope: string): string;
}
