import { ComponentRef, Injector, OnInit, AfterViewInit, Compiler, OnDestroy, ChangeDetectorRef, OnChanges, EventEmitter, ViewContainerRef, ComponentFactoryResolver } from '@angular/core';
export declare class ComponentLoader implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    protected compiler: Compiler;
    protected injector: Injector;
    protected chRef: ChangeDetectorRef;
    protected viewContainerRef: ViewContainerRef;
    protected resolver: ComponentFactoryResolver;
    context: any;
    component: any;
    module: any;
    ngfactoryModulePath: string;
    modulePath: string;
    resourcePath: string;
    componentPath: string;
    isRefresh: boolean;
    onLoaded: EventEmitter<boolean>;
    dynamicResource?: Array<string>;
    protected loading: boolean;
    protected subcribeIds: any[];
    protected componentRef: ComponentRef<any>;
    private initialized;
    constructor(compiler: Compiler, injector: Injector, chRef: ChangeDetectorRef, viewContainerRef: ViewContainerRef, resolver: ComponentFactoryResolver);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    protected loadComponent: () => void;
    protected bindModel: (instance: any) => void;
    protected onComponentLoaded: (instance: any) => void;
    protected destroy: () => void;
    private createComponentInstance;
    private detectChanges;
    ngOnChanges(changes: any): void;
    ngOnDestroy(): void;
}
