import { Compiler, Injector, ViewContainerRef, OnDestroy, NgZone } from '@angular/core';
import { DialogService } from "../services/DialogService";
import { ToasterService } from "../services/ToasterService";
import { LocalizationService } from "../services/LocalizationService";
export interface IControlSettingsEditorScope {
    containerId?: string;
    config?: any;
    viewId?: string;
    controller?: string;
    onSettingsChanged?: () => void;
    size?: string;
    openSettingsDialog?: () => void;
    visible?: boolean;
}
export declare class ControlSettingsEditor implements OnDestroy {
    private compiler;
    dialogService: DialogService;
    viewContainer: ViewContainerRef;
    private ngZone;
    protected injector: Injector;
    private toasterService;
    private localizationService;
    containerId: any;
    config: any;
    settingsDialogModule: any;
    settingsDialogComponent: any;
    onSettingsChanged: any;
    dialogSize: any;
    dynamicResource?: {
        resources: Array<string>;
        componentPath: string;
        ngfactoryModulePath: string;
        ngModulePath?: string;
    };
    ngfactoryModulePath: string;
    ngModulePath: string;
    static templateId: string;
    private subcribeIds;
    private dialogInstance;
    gear: IControlSettingsEditorScope;
    constructor(compiler: Compiler, dialogService: DialogService, viewContainer: ViewContainerRef, ngZone: NgZone, injector: Injector, toasterService: ToasterService, localizationService: LocalizationService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    init: () => void;
    private openForm;
    private handleDialogOpen;
    private showIndicator;
    private removeIndicator;
}
