import { ViewContainerRef, OnInit, EventEmitter, NgZone } from '@angular/core';
import { LocalizationService } from "../services/LocalizationService";
import { DialogService } from "../services/DialogService";
import { Shared } from "../../../models";
import { Enums } from "../Enums";
export interface ddIconType {
    title: string;
    id: Enums.IconType;
}
export interface IConPickerScope {
    icon: Shared.IIcon;
    windowClass: string;
    iconTypes: Array<ddIconType>;
    onSelectCustomIcon: (dialogResult: number, valueResult: any) => void;
    browseFontIcon: () => void;
}
export declare class IconPicker implements OnInit {
    private viewContainer;
    private localizationService;
    private dialogService;
    private ngZone;
    icon: Shared.IIcon;
    disabledProp: any;
    windowClass: string;
    disabledCustomImage: boolean;
    iconChange: EventEmitter<Shared.IIcon>;
    scope: IConPickerScope;
    constructor(viewContainer: ViewContainerRef, localizationService: LocalizationService, dialogService: DialogService, ngZone: NgZone);
    ngOnInit(): void;
    private init;
}
