import { OnDestroy, OnInit, OnChanges, AfterViewInit, EventEmitter, ViewContainerRef, NgZone } from '@angular/core';
import { LocalizationService } from "../services/LocalizationService";
import { DialogService } from "../services/DialogService";
export interface ITinymceScope {
    tinymceOptions: any;
    tinymceDisable: boolean;
    tinymceContent: string;
    tinymceHeight: string;
    tinymceClass: string;
    tinymceLanguage: string;
    tinymceWebUrl: string;
    tinymceStyleObject: any;
    openInsertLinkForm: (paras: any, callBack?: (options: any) => void) => void;
    openInsertImage: (paras: any, callBack?: (options: any) => void) => void;
}
export declare class TinyMceControl implements OnInit, OnChanges, AfterViewInit, OnDestroy {
    protected localizationService: LocalizationService;
    protected dialogService: DialogService;
    protected viewContainer: ViewContainerRef;
    protected ngZone: NgZone;
    elementId: string;
    tinymceOptions: any;
    tinymceContent: string;
    tinymceDisable: boolean;
    tinymceLanguage: string;
    tinymceWebUrl: string;
    tinymceHeight: string;
    tinymceContentChange: EventEmitter<any>;
    editor: any;
    options: {};
    scope: ITinymceScope;
    constructor(localizationService: LocalizationService, dialogService: DialogService, viewContainer: ViewContainerRef, ngZone: NgZone);
    webUrl: string;
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    protected fixLocalizeOnTinyMceEditor: () => void;
    protected openInsertImage: (paras: any, callBack?: (options: any) => void, closeCallBack?: () => void) => void;
    private getPreSelectImage;
    private getDisableImageRendition;
}
