/// <reference types="jquery" />
import { ElementRef, OnDestroy, OnInit, EventEmitter } from "@angular/core";
export declare class DropdownNotClosableZone {
    private elementRef;
    dropdownNotClosabledZone: boolean;
    constructor(elementRef: ElementRef);
    contains(element: HTMLElement): boolean;
}
export declare class Dropdown {
    private elementRef;
    toggleClick: boolean;
    activateOnFocus: boolean;
    onOpen: EventEmitter<{}>;
    onClose: EventEmitter<{}>;
    notClosableZone: DropdownNotClosableZone;
    constructor(elementRef: ElementRef);
    open(): void;
    close(): void;
    isOpened(): boolean;
    isInClosableZone(element: HTMLElement): boolean;
}
export declare class DropdownOpen implements OnInit, OnDestroy {
    dropdown: Dropdown;
    private elementRef;
    /**
     * This hack is needed for dropdown not to open and instantly closed
     */
    private openedByFocus;
    private closeDropdownOnOutsideClick;
    constructor(dropdown: Dropdown, elementRef: ElementRef);
    ngOnInit(): void;
    init(): void;
    openDropdown: (event: any) => void;
    dropdownKeydown: (event: JQueryEventObject) => void;
    onFocus: (event: any) => void;
    onBlur: (event: JQueryEventObject) => void;
    ngOnDestroy(): void;
    private close(event);
}
