import { OnInit, EventEmitter } from '@angular/core';
import { Enums } from "../Enums";
import { LocalizationService } from "../services/LocalizationService";
import * as Models from "../../../models";
export interface IViewPortControlSettingsScope {
    viewPortSettingsType: Enums.ControlViewPortType;
    viewPort: string;
    controlViewPortTypes: Array<Models.Shared.ILookupValue>;
    disableViewPort: boolean;
    selectType: (selectedType: Models.Shared.ILookupValue) => void;
}
export declare class ViewPortControlSettings implements OnInit {
    private localizationService;
    viewPortSettingsType: Enums.ControlViewPortType;
    viewPort: string;
    viewPortSettingsTypeChange: EventEmitter<Enums.ControlViewPortType>;
    viewPortChange: EventEmitter<string>;
    static templateGuid: string;
    scope: IViewPortControlSettingsScope;
    constructor(localizationService: LocalizationService);
    ngOnInit(): void;
    private init;
    onViewPortChange: (valueChange: any) => void;
    private selectType;
}
