import { LocalizationService } from "./LocalizationService";
import { AjaxService } from "./AjaxService";
import { DocumentIdentifier, SharePoint } from '../../../models';
export declare class DocumentsService {
    private ajaxService;
    private localizationService;
    static ngName: string;
    constructor(ajaxService: AjaxService, localizationService: LocalizationService);
    getAllDocumentLibraries: (siteUrl: string, renderer: (n: SharePoint.IListIdentifier[]) => void) => void;
    getDocuments: (siteUrl: string, listId: string, searchString: string, skipId: number, take: number, renderer: (n: DocumentIdentifier.IDocumentIdentifier[]) => void) => void;
    getDocumentsByFolder: (siteUrl: string, listId: string, folderUrl: string, searchString: string, skipId: number, take: number, renderer: (n: DocumentIdentifier.IDocumentIdentifier[]) => void) => void;
    searchDocuments: (siteUrl: string, searchString: string, rowLimit: number, renderer: (n: DocumentIdentifier.IDocumentIdentifier[]) => void) => void;
    openSPUploadDocumentDialog: (siteUrl: string, libraryId: string, rootFolder: string, renderer?: (result: number, newFile: SharePoint.ISharePointNewFile) => void) => void;
}
