export interface IUserContext {
    hasFullPagePermission: boolean;
}
export interface IContextInfo {
    masterpageScriptLoaded: boolean;
    tid: string;
    turl: string;
    cdnUrl: string;
    foundationUrl: string;
    appRedirectUrl: string;
    navigationSourceUrl: string;
    navigationSourceUrls: string[];
    tokenKey: string;
    tokenExpireTime: number;
    apiBaseUrl: string;
    coreServicesUrl: string;
    language: string;
    featureResourceId: string;
    omniaProfileId: string;
    tadminurl: string;
    mysiteurl: string;
    isOnPrem: boolean;
    authorizedRoles: string;
    customConfigurations: any;
    defaultTextAndIconColor: string;
    defaultBackgroundColor: string;
    primaryColor: string;
    accentColor: string;
    darkColor: string;
    darkContrastColor: string;
    lightContrastColor: string;
    lightColor: string;
    hasReadPermissionOnNavSrc: boolean;
    siteCollectionRelativeUrl: string;
    siteRelativeUrl: string;
    siteUrl: string;
    siteCollectionUrl: string;
    pageUrl: string;
    pageItemId: string;
    userPermissions: IUserContext;
    isGluePage: boolean;
    defaultPageItemId?: number;
    foundationVersion?: string;
    userLoginName: string;
    currentLanguage: number;
    siteTitle: string;
    siteTemplate?: string;
    enableOmniaFx?: boolean;
}
