import { Enums } from '../extensibility';
export declare module Search {
    interface SearchResultProcessor {
        (items: Array<ISearchResult>): void;
    }
    interface IBaseSearchResult {
        title: string;
        highlightedProperties: string;
        path: string;
        contentType: Enums.SearchContentTypeEnum;
    }
    interface ISearchResult {
        contentType?: Enums.SearchContentTypeEnum;
        imageUrl: string;
        linkUrl: string;
        originalTitle?: string;
        title: string;
        summary: string;
        previewUrl: string;
        accountName?: string;
        postAuthorPhoto?: string;
        postBody?: string;
    }
    interface ISearchSourceType {
        all: number;
        sites: number;
        people: number;
    }
    interface IContentSearchResult extends IBaseSearchResult {
        siteDescription?: string;
        highlightedSummary: string;
        spWebUrl: string;
        serverRedirectedUrl: string;
        serverRedirectedPreviewUrls: string;
        pictureUrl: string;
        fileExtension: string;
        fullPostBody?: string;
        postAuthor?: string;
    }
    interface IPeopleSearchResult extends IBaseSearchResult {
        aboutMe: string;
        accountName: string;
    }
    interface IPeople {
        accountName: string;
        isFollowedPeople: boolean;
        isProcessing: boolean;
    }
    interface ISearchLimitResult<T> {
        totalRows: number;
        limitResults: Array<T>;
    }
}
